Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.el
Class VariableResolverImpl

    java.lang.Object
      javax.faces.el.VariableResolver
          org.apache.myfaces.el.VariableResolverImpl

public class VariableResolverImpl
extends javax.faces.el.VariableResolver

Version:
  $Revision: 279924 $ $Date: 2005-09-09 20:45:47 -0400 (Fri, 09 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $), Anton Koinov

Field Summary
`protected java.util.Map` | `_implicitObjects` Stores all implicit objects defined for this instance of `VariableResolver` Can store instances of `ImplicitObject` which have the ability to dynamically resolve against FacesContext.
`protected java.util.Map` | `_scopes` Stores all scopes defined for this instance of `VariableResolver` Can store instances of `Scope` which have the ability to dynamically resolve against ExternalContext for put operations.
`static java.util.Map` | `s_standardImplicitObjects`
`protected static java.util.Map` | `s_standardScopes`

Constructor Summary
`VariableResolverImpl()`

Method Summary
`protected RuntimeConfig` | `getRuntimeConfig(javax.faces.context.FacesContext facesContext)`
`java.lang.Object` | `resolveVariable(javax.faces.context.FacesContext facesContext, java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### s_standardImplicitObjects

    public static final java.util.Map s_standardImplicitObjects

### _implicitObjects

    protected final java.util.Map _implicitObjects

  Stores all implicit objects defined for this instance of `VariableResolver`

  Can store instances of `ImplicitObject` which have the ability to dynamically resolve against FacesContext. Can also store any other object which itself is the value for the implicit object (this in effect will be a static object).

  WARNING: this implementation is not serialized as it is thread safe because it does not update/add to _implicitObjects after object initialization. If you need to add your own implicit objects, either extend and add more in an initialization block, or add proper sychronization

### s_standardScopes

    protected static final java.util.Map s_standardScopes

### _scopes

    protected final java.util.Map _scopes

  Stores all scopes defined for this instance of `VariableResolver`

  Can store instances of `Scope` which have the ability to dynamically resolve against ExternalContext for put operations.

  WARNING: this implementation is not serialized as it is thread safe because it does not update/add to _scopes after object initialization. If you need to add your own scopes, either extend and add more in an initialization block, or add proper sychronization

Constructor Detail

### VariableResolverImpl

    public VariableResolverImpl()

Method Detail

### resolveVariable

    public java.lang.Object resolveVariable(javax.faces.context.FacesContext facesContext,
                                            java.lang.String name)

### getRuntimeConfig

    protected RuntimeConfig getRuntimeConfig(javax.faces.context.FacesContext facesContext)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD